Subject: Fwd: another check
From: "Huron City Museums" <[email-masked]>
To: [email-masked]
Date: Mon, 13 Aug 2007 14:19:16 -0400

----- Forwarded message from [email-masked] -----
    Date: Mon, 25 Jun 2007 09:10:59 -0400
    From: Huron City Museums <[email-masked]>
Reply-To: Huron City Museums <[email-masked]>
 Subject: another check
      To: [email-masked]

Hi there,

Sorry - I just decided to go ahead and write out Kim's check for the chair seat
weaving class this week. It was check 2069 for $50 to Kim Uridge. I have about
5 checks left, so if you could mail some up, that would be great. 

I also wanted to let you know that the last deposit of $60 was really $58.60 -
we had one person pay with Canadian money and gave us a dollar to cover the
costs - it almost made it. 

Thanks!

Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
www.HuronCityMuseums.org
museums 989 428-4123
cell 989 670-8196

- ----- End forwarded message -----

Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
www.HuronCityMuseums.org
museums 989 428-4123
cell 989 670-8196